[IPython-dev] gtk - Warning

Fernando Perez fperez.net@gmail....
Tue Feb 27 09:50:48 CST 2007


On 2/27/07, Manuel Metz <mmetz@astro.uni-bonn.de> wrote:
> Hi,
> since today after an update on Ubuntu/feisty I get the following warning
> when starting ipython:
>
> /usr/lib/python2.5/site-packages/IPython/Shell.py:664:
> GtkDeprecationWarning: gtk.threads_leave is deprecated, use
> gtk.gdk.threads_leave instead
>    self.gtk.threads_leave()

I just committed a fix in SVN, thanks for the note (there were a few
more similar warnings after fixing that one).

It would be very good if people on older GTK setups could report of
any problems, I don't know the history of their API in detail, so
there's a chance the new call form may break.  If it does, please let
me know what the value of

gtk.gtk_version

is on your system, so I can protect the new call with version number checks.

Cheers,

f


More information about the IPython-dev mailing list